module.exports = app => {
  const knowledgeass = require("../controllers/knowledgeass.controller.js");
  var router = require("express").Router();
  router.post("/filter-ques", knowledgeass.filterQues);
  router.post("/knowassqueans-add", knowledgeass.knowAssQueAnsAdd);
  router.post("/ass-report", knowledgeass.knowAssReport);
  router.post("/domain-report", knowledgeass.knowAssDomainReport);
  router.post("/knowass-report", knowledgeass.getUserReportKnowAssQuesAnsByUser);
  router.get("/knowAssQues/:id", knowledgeass.getKnowAssQuesForId);
  router.put("/knowAssQues/:id", knowledgeass.updateKnowAssQues);
  router.delete("/knowAssQues/:id", knowledgeass.deleteKnowAssQues);
  router.post("/knowAssQues/add", knowledgeass.knowAssQuesAdd);
  router.post("/knowAssQues/all", knowledgeass.knowAssQuesAll);
  app.use('/knowledgeass', router);
};
